﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3014B: (1 year) VER VISA /5820A+1Ch
DATE:                  2010-07-28 15:07:57
AUTHOR:                Fluke
REVISION:              $Revision: 18574 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       250
CONFIGURATION:         Fluke 5820A
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3014B
# 
#  Source(s):
#        TDS3000B Series Digital Phosphor Oscilloscopes
#        Service Manual, 071-0972-04
# 
# Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000B Ethernet Interface Connection
#        Sub Tek TDS3000 Check Firmware Version
#        Sub Tek TDS3000 Set Bandwidth & Number of Channels
#        Sub Tek TDS3000 Self-Test VISA
#        Sub Tek TDS3000 Signal Path Compensation Cal VISA
#        Sub Tek TDS3000B (1 yr) DCV VISA /5800
#        Sub Tek TDS3000B (1 yr) Bandwidth VISA /5800
#        Sub Tek TDS3000B (1 yr) Full BW Trig VISA /5800
#        Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /5800
#        Sub Tek TDS3000B (1 yr) Sample Rate VISA /5800
#        Sub Tek TDS3000 Select Channel VISA
#        Sub Tek TDS3000 Trigger Check and Level Adjust VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5820         100MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3.38"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  TARGET
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         20 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  CALL         Sub Tek TDS3000B Ethernet Interface Connection

  1.017  VISA         *RST

  1.018  HEAD         UUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 Identification Query VISA

  1.020  MATH         @UUT_Manufacturer = "Tektronix"
  1.021  MATH         @UUT_Model        = "TDS 3014B"
  1.022  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.023  JMPL         END                           @Abort

  1.024  CALL         Sub Tek TDS3000 Check Firmware Version
  1.025  JMPL         END                           @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   DCV GAIN (CH3)                     TRIGGER SENS FULL BW (CH1)
#    6.   DCV GAIN (CH4)                     TRIGGER SENS 50 MHz (CH1)
#    7.   BANDWIDTH (CH1)                    SAMPLE RATE AND DELAY TIME ACC
#    8.   BANDWIDTH (CH2)                    DCV GAIN (CH2)
#    9.   BANDWIDTH (CH3)                    BANDWIDTH (CH2)
#   10.   BANDWIDTH (CH4)                    TRIGGER SENS FULL BW (CH2)
#   11.   TRIGGER SENS FULL BW (CH1)         TRIGGER SENS 50 MHz (CH2)
#   12.   TRIGGER SENS FULL BW (CH2)         DCV GAIN (CH3)
#   13.   TRIGGER SENS FULL BW (CH3)         BANDWIDTH (CH3)
#   14.   TRIGGER SENS FULL BW (CH4)         TRIGGER SENS FULL BW (CH3)
#   15.   TRIGGER SENS 50 MHz (CH1)          TRIGGER SENS 50 MHz (CH3)
#   16.   TRIGGER SENS 50 MHz (CH2)          DCV GAIN (CH4)
#   17.   TRIGGER SENS 50 MHz (CH3)          BANDWIDTH (CH4)
#   18.   TRIGGER SENS 50 MHz (CH4)          TRIGGER SENS FULL BW (CH4)
#   19.   SAMPLE RATE AND DELAY TIME ACC     TRIGGER SENS 50 MHz (CH4)

  1.026  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.027  CALL         Sub Tek TDS3000 Signal Path Compensation Cal VISA
  1.028  JMPL         END                           @Abort

  1.029  CALL         Sub Tek TDS3000 Self-Test VISA
  1.030  JMPL         END                           @Abort

  1.031  DISP         Connect the 58xxA CHAN 1 to the UUT CH 1.
  1.032  MATH         @Chan = 1
  1.033  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /5800
  1.034  JMPL         BANDWIDTH_CH1

  1.035  LABEL        DCV_CH2
  1.036  DISP         Connect the 58xxA CHAN 1 to the UUT CH 2.
  1.037  MATH         @Chan = 2
  1.038  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /5800
  1.039  JMPL         BANDWIDTH_CH2

  1.040  LABEL        DCV_CH3
  1.041  DISP         Connect the 58xxA CHAN 1 to the UUT CH 3.
  1.042  MATH         @Chan = 3
  1.043  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /5800
  1.044  JMPL         BANDWIDTH_CH3

  1.045  LABEL        DCV_CH4
  1.046  DISP         Connect the 58xxA CHAN 1 to the UUT CH 4.
  1.047  MATH         @Chan = 4
  1.048  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /5800
  1.049  JMPL         BANDWIDTH_CH4

  1.050  LABEL        BANDWIDTH_CH1
  1.051  MATH         @Chan = 1
  1.052  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /5800
  1.053  JMPL         TRIG_FULL_BW_CH1

  1.054  LABEL        BANDWIDTH_CH2
  1.055  MATH         @Chan = 2
  1.056  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /5800
  1.057  JMPL         TRIG_FULL_BW_CH2

  1.058  LABEL        BANDWIDTH_CH3
  1.059  MATH         @Chan = 3
  1.060  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /5800
  1.061  JMPL         TRIG_FULL_BW_CH3

  1.062  LABEL        BANDWIDTH_CH4
  1.063  MATH         @Chan = 4
  1.064  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /5800
  1.065  JMPL         TRIG_FULL_BW_CH4

  1.066  LABEL        TRIG_FULL_BW_CH1
  1.067  MATH         @Chan = 1
  1.068  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /5800
  1.069  JMPL         TRIG_50MH_CH1

  1.070  LABEL        TRIG_FULL_BW_CH2
  1.071  MATH         @Chan = 2
  1.072  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /5800
  1.073  JMPL         TRIG_50MH_CH2

  1.074  LABEL        TRIG_FULL_BW_CH3
  1.075  MATH         @Chan = 3
  1.076  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /5800
  1.077  JMPL         TRIG_50MH_CH3

  1.078  LABEL        TRIG_FULL_BW_CH4
  1.079  MATH         @Chan = 4
  1.080  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /5800
  1.081  JMPL         TRIG_50MH_CH4

  1.082  LABEL        TRIG_50MH_CH1
  1.083  MATH         @Chan = 1
  1.084  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /5800
  1.085  JMPL         SAMPLE_RATE

  1.086  LABEL        TRIG_50MH_CH2
  1.087  MATH         @Chan = 2
  1.088  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /5800
  1.089  JMPL         DCV_CH3

  1.090  LABEL        TRIG_50MH_CH3
  1.091  MATH         @Chan = 3
  1.092  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /5800
  1.093  JMPL         DCV_CH4

  1.094  LABEL        TRIG_50MH_CH4
  1.095  MATH         @Chan = 4
  1.096  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /5800
  1.097  JMPL         END

  1.098  LABEL        SAMPLE_RATE
  1.099  MATH         @Chan = 1
  1.100  CALL         Sub Tek TDS3000B (1 yr) Sample Rate VISA /5800
  1.101  JMPL         DCV_CH2

  1.102  LABEL        END
  1.103  HEAD         -2

  1.104  IF           @Abort
  1.105  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.106  ELSE
  1.107  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.108  ENDIF

  1.109  END
